For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
Logo
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • POSTCreate Customer
        • GETSearch Customer
        • POSTCreate Appointment
        • POSTCreate Note
        • POSTCreate Service Location
        • GETGet Billing Terms
        • GETGet Invoice Types
        • GETGet Customer Types
        • GETGet Arrival Window
        • GETGet Service Call Type
        • GETGet Diagnostic Fee
        • GETGet Service Call Status
        • GETGet Lead Source
        • GETGet Board Ids
        • GETGet Technicians
        • GETGet Calendar
        • GETGet Jobs By Customer
Talk to usGet started
API ReferenceIntegrationsPpp

Get Calendar

GET
https://api.trykeet.com/v1/ppp/calendar
GET
/v1/ppp/calendar
$curl -G https://api.trykeet.com/v1/ppp/calendar \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d boardId=boardId \
> -d date=date
1{
2 "status": "ok",
3 "calendar": {
4 "key": "value"
5 }
6}
Get perfect pricing calendar
Was this page helpful?
Previous

Get Jobs By Customer

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Query parameters

boardIdstringRequired
datestringRequired

Response

This endpoint returns an object.
statusenum
Allowed values:
calendarany

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error